oracle.adf.view.rich.model

## Class AutoSuggestUIHints

- java.lang.Object
- - oracle.adf.view.rich.model.AutoSuggestUIHints

-     public class AutoSuggestUIHints
      extends Object

  The class provides the UIHints for the suggestItems implementation of autoSuggestBehavior tag.
  maxSuggestedItems - The maximum number of suggestItems the implementation must return submittedValue - The value entered by the user in the input field, used to filter the list

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoSuggestUIHints()`
    `AutoSuggestUIHints(String submittedValue, int maxSuggestedItems)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxSuggestedItems()` The maximum number of suggestItems the implementation must return
    `String` | `getSubmittedValue()` The value entered by the user in the input field, used to filter the list
    `void` | `setMaxSuggestedItems(int _maxSuggestedItems)`
    `void` | `setSubmittedValue(String _submittedValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoSuggestUIHints

          public AutoSuggestUIHints()

    - #### AutoSuggestUIHints

          public AutoSuggestUIHints(String submittedValue,
                                    int maxSuggestedItems)

  - ### Method Detail

    - #### setMaxSuggestedItems

          public void setMaxSuggestedItems(int _maxSuggestedItems)

    - #### getMaxSuggestedItems

          public int getMaxSuggestedItems()

      The maximum number of suggestItems the implementation must return
      Returns:
        maximum number of suggestItems the implementation must return

    - #### setSubmittedValue

          public void setSubmittedValue(String _submittedValue)

    - #### getSubmittedValue

          public String getSubmittedValue()

      The value entered by the user in the input field, used to filter the list
      Returns:
        value entered by the user in the input field

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.